package com.dsic.gj_erp.dao.sy;


import com.dsic.gj_erp.bean.sy.Dm_zhbmp;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 系统与功能关联查询
 */
@Repository
public interface Dm_zhbmpRepository extends JpaRepository<Dm_zhbmp,Dm_zhbmp.PrimaryKey> {

    @Query(nativeQuery = true,value = "select BM as BM,BMSM as MC,(case when LEN(bm)=2 then 0 else 1 end) as px from DM_ZHBMP where BMLB='BMBM'  and(left(bm,2) not in ('FP','YS','DJ','HR'))  union all select dwbm as bm,dwmc as mc,3 as px from dm_xqdwjbp order by px")
    List<Map> findBMBM();

    List<Dm_zhbmp> findByBMLB(String bmlb);
    Dm_zhbmp findByBMLBAndBM(String bmlb,String bm);
    Dm_zhbmp  findByBMLBAndBmsm(String bmlb,String bmsm);
    @Query(nativeQuery = true,value = "select bm as dwbm,bmsm as dwmc from dm_zhbmp where BMLB='BMBM' and (left(bm,3)='023' ) and isnull(ylzd3,'N')='D'")
    List<Map> findDsdw();
    @Query(nativeQuery = true,value = "select bm, bmsm as  mc from dm_zhbmp where bmlb='BMBM' and (left(bm,3)='023' ) and isnull(ylzd3,'N')<>'Y' ")
    List<Map> findbmqx();





}